# 72. Запрос: получить сеточные данные как GeoJSON или GeoTIFF

Запрос для получения растровых (сеточных) данных из наборов данных, таких как «FieldSatelliteImage», «TopographyMap», «SoilDataset», «YieldDataset», «AsAppliedDataset», «VectorAnalysisMap», как `GEOJSON` с точками или `GEOTIFF`.&#x20;

{% hint style="danger" %}
Рекомендуется извлекать только один набор данных с `sourceDataUrl` за запрос.&#x20;
{% endhint %}

`GEOTIFF` и `GEOJSON` доступны как `форматы`.

{% hint style="danger" %}
`sourceDataUrl` ссылка доступна только в течение **60 сек.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetRawVectorDataFromSatelliteImage {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    название
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      название
      satelliteImages(satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid>"]) {
        uuid
        sourceDataUrl(format: GEOTIFF)
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/obzor-zaprosov-api-geopard/72.-zapros-poluchit-setochnye-dannye-kak-geojson-ili-geotiff.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
